POST api/StickerDetail/upsert?stickerID={stickerID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
stickerID

globally unique identifier

Required

Body Parameters

Collection of StickerDetailViewModel
NameDescriptionTypeAdditional information
stickerField

StickerFieldViewModel

None.

active

boolean

Required

backgroundColor

string

Required

Max length: 6

bold

boolean

Required

fontSize

integer

Required

foregroundColor

string

Required

Max length: 6

ID

globally unique identifier

None.

italic

boolean

Required

staticValue

string

Max length: 20

sticker

StickerViewModel

None.

sticker_ID

globally unique identifier

Required

stickerField_ID

globally unique identifier

Required

stringLength

integer

None.

stringStart

integer

None.

zoneNumber

integer

Required

Request Formats

application/json, text/json

Sample:
[
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "92913b20-69e8-45e8-8f89-dde61fa67c5e",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "9e477865-c0e8-4b42-9d29-b4b53da53826",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "eba54832-f435-4410-b59f-567da3fbb2d0",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "9502c7a4-ea0e-40ee-a787-bfdf5236eafb",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "4c6aac7b-1bde-455c-8492-b645c6cc6de3",
          "contractItem_ID": "da6a9c36-79bf-42f2-9f30-c0e76ff4f663",
          "departement_ID": "073b2602-3f0e-43e6-8924-85e25ac1de65",
          "departmentItem_ID": "4529e323-11d1-42e7-ac98-3ff700ba507a",
          "iD": "5282f029-60e3-4865-8302-c89071fdf428",
          "site_ID": "657f9161-0689-47b6-8663-dd492ddae302",
          "siteCustomer_ID": "44560d43-41ef-4a6c-9a60-16b8afadacfd",
          "sticker_ID": "423664b5-b051-4e66-a0b2-c8222575e227",
          "garment_ID": "cc74cd2a-f7d8-4a0a-8e0c-a05d95c89408"
        },
        {
          "active": true,
          "contract_ID": "4c6aac7b-1bde-455c-8492-b645c6cc6de3",
          "contractItem_ID": "da6a9c36-79bf-42f2-9f30-c0e76ff4f663",
          "departement_ID": "073b2602-3f0e-43e6-8924-85e25ac1de65",
          "departmentItem_ID": "4529e323-11d1-42e7-ac98-3ff700ba507a",
          "iD": "5282f029-60e3-4865-8302-c89071fdf428",
          "site_ID": "657f9161-0689-47b6-8663-dd492ddae302",
          "siteCustomer_ID": "44560d43-41ef-4a6c-9a60-16b8afadacfd",
          "sticker_ID": "423664b5-b051-4e66-a0b2-c8222575e227",
          "garment_ID": "cc74cd2a-f7d8-4a0a-8e0c-a05d95c89408"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "bb4121da-4f51-4501-ab87-d78148c95fa9",
      "stickerType_ID": "dd7a6082-31a2-40c2-94ed-90bb1b699dcf",
      "stickerRelation_IDs": [
        "52168b3c-5b28-4049-a730-3d09e9bb658e",
        "d15ba7da-eac7-472a-b5e4-7d4968740aa5"
      ],
      "site_ID": "9f8e5913-d3be-4fca-9544-61451c2cb852"
    },
    "sticker_ID": "b3591985-3e36-4b29-ae8a-aca9a4203dbc",
    "stickerField_ID": "d9e05ee6-2a1e-4999-b3ff-74acc0af2edb",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  },
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "92913b20-69e8-45e8-8f89-dde61fa67c5e",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "9e477865-c0e8-4b42-9d29-b4b53da53826",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "eba54832-f435-4410-b59f-567da3fbb2d0",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "9502c7a4-ea0e-40ee-a787-bfdf5236eafb",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "4c6aac7b-1bde-455c-8492-b645c6cc6de3",
          "contractItem_ID": "da6a9c36-79bf-42f2-9f30-c0e76ff4f663",
          "departement_ID": "073b2602-3f0e-43e6-8924-85e25ac1de65",
          "departmentItem_ID": "4529e323-11d1-42e7-ac98-3ff700ba507a",
          "iD": "5282f029-60e3-4865-8302-c89071fdf428",
          "site_ID": "657f9161-0689-47b6-8663-dd492ddae302",
          "siteCustomer_ID": "44560d43-41ef-4a6c-9a60-16b8afadacfd",
          "sticker_ID": "423664b5-b051-4e66-a0b2-c8222575e227",
          "garment_ID": "cc74cd2a-f7d8-4a0a-8e0c-a05d95c89408"
        },
        {
          "active": true,
          "contract_ID": "4c6aac7b-1bde-455c-8492-b645c6cc6de3",
          "contractItem_ID": "da6a9c36-79bf-42f2-9f30-c0e76ff4f663",
          "departement_ID": "073b2602-3f0e-43e6-8924-85e25ac1de65",
          "departmentItem_ID": "4529e323-11d1-42e7-ac98-3ff700ba507a",
          "iD": "5282f029-60e3-4865-8302-c89071fdf428",
          "site_ID": "657f9161-0689-47b6-8663-dd492ddae302",
          "siteCustomer_ID": "44560d43-41ef-4a6c-9a60-16b8afadacfd",
          "sticker_ID": "423664b5-b051-4e66-a0b2-c8222575e227",
          "garment_ID": "cc74cd2a-f7d8-4a0a-8e0c-a05d95c89408"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "bb4121da-4f51-4501-ab87-d78148c95fa9",
      "stickerType_ID": "dd7a6082-31a2-40c2-94ed-90bb1b699dcf",
      "stickerRelation_IDs": [
        "52168b3c-5b28-4049-a730-3d09e9bb658e",
        "d15ba7da-eac7-472a-b5e4-7d4968740aa5"
      ],
      "site_ID": "9f8e5913-d3be-4fca-9544-61451c2cb852"
    },
    "sticker_ID": "b3591985-3e36-4b29-ae8a-aca9a4203dbc",
    "stickerField_ID": "d9e05ee6-2a1e-4999-b3ff-74acc0af2edb",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  }
]

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

None.